Capabilities
Inspect executor access
Report this authenticated connection's read, prepare and apply grants, and check exact procedure requirements before handing off work. Record permissions are still checked on each call; apply eligibility does not prove approval of a particular plan.
Method
POST
Path
/v1/capabilities/access
Required scope
capabilities:readRequest
curl -X POST "https://api.endurancehq.app/v1/capabilities/access" \
-H "Authorization: Bearer $EHQ_API_KEY"JSON body schema
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"requirements": {
"default": [],
"maxItems": 50,
"type": "array",
"items": {
"type": "object",
"properties": {
"path": {
"type": "string",
"minLength": 1,
"maxLength": 300
},
"operation": {
"type": "string",
"enum": [
"read",
"prepare",
"apply"
]
}
},
"required": [
"path",
"operation"
],
"additionalProperties": false
}
}
},
"required": [
"requirements"
],
"additionalProperties": false
}Response
Success status: 200
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"data": {
"type": "object",
"properties": {
"access": {
"type": "object",
"properties": {
"read": {
"type": "boolean"
},
"prepare": {
"type": "boolean"
},
"apply": {
"type": "string",
"enum": [
"unavailable",
"policy",
"reviewed"
]
}
},
"required": [
"read",
"prepare",
"apply"
],
"additionalProperties": false
},
"requirements": {
"type": "array",
"items": {
"type": "object",
"properties": {
"path": {
"type": "string"
},
"operation": {
"type": "string",
"enum": [
"read",
"prepare",
"apply"
]
},
"available": {
"type": "boolean"
},
"reason": {
"type": [
"string",
"null"
]
},
"approval": {
"type": "string",
"enum": [
"unavailable",
"policy",
"reviewed",
"not_applicable"
]
},
"recordPermission": {
"type": "string",
"const": "checked_on_call"
}
},
"required": [
"path",
"operation",
"available",
"reason",
"approval",
"recordPermission"
],
"additionalProperties": false
}
},
"available": {
"type": "boolean"
},
"note": {
"type": "string"
}
},
"required": [
"access",
"requirements",
"available",
"note"
],
"additionalProperties": false
}
},
"required": [
"data"
],
"additionalProperties": false
}Other surfaces
CLI: ehq capabilities access [--requirements <json_array>]
MCP tool: ehq_execution_access